from modeltranslation.translator import translator, TranslationOptions
from .models import *


class BlockPluginPresentation_TranslationOptions(TranslationOptions):
    fields = (
        'name', 'description', 'text', 'title', 'pre_title', 'but1_title', 'but2_title'
    )
translator.register(BlockPluginPresentation, BlockPluginPresentation_TranslationOptions)


class Section_TranslationOptions(TranslationOptions):
    fields = (
        'name', 'description', 'text', 'title', 'FAQ_title', 'seo_title', 'seo_description', 'seo_text'
    )
translator.register(Section, Section_TranslationOptions)

class Service_TranslationOptions(TranslationOptions):
    fields = (
        'name', 'description', 'text', 'title', 'FAQ_title', 'seo_title', 'seo_description', 'seo_text'
    )
translator.register(Service, Service_TranslationOptions)



